cgD3D10SetSamplerStateParameter(3)

NAME
cgD3D10SetSamplerStateParameter - Sets a sampler state object to a Cg sampler parameter.

SYNOPSIS
  #include <Cg/cgD3D10.h>

  void cgD3D10SetSamplerStateParameter( CGparameter param,
                                        ID3D10SamplerState * samplerState );

PARAMETERS

param
    The sampler parameter whose state is to be set.

samplerState
    The D3D sampler state to set.

RETURN VALUES
None.

DESCRIPTION
cgD3D10SetSamplerStateParameter sets the sampler state associated with a sampler parameter.

NULL means default sampler state.

EXAMPLES
ID3D10SamplerState * sstate = NULL; Device->CreateSamplerState( &samplerDesc, &sstate );

cgD3D10SetSamplerStateParameter( myCgSamplerParam, sstate );

ERRORS
CG_INVALID_PARAMETER_ERROR is generated if param is invalid.

HISTORY
cgD3D10SetSamplerStateParameter was introduced in Cg 2.1.

SEE ALSO
cgD3D10SetTextureSamplerStateParameter